Skip to main content

Connect Sale Channel

POST 

/v1/brands/:brandId/sale-channels/connect

Start or create a brand's marketplace connection using saleChannelName and channel-specific optional inputs. An OAuth channel may return oauthUrl for the merchant to authorize.

Requires saleChannelAuth.write.

Request and response fields at a glance
  • Path parameters: brandId (integer, required).
  • Request body (application/json): saleChannelName (string, required), region (string), brandIdInSaleChannel (string), apiKey (string), apiSecret (string), fulfillmentModel (string), isShared (boolean), logInEmail (string), logInPassword (string), inventoryScope (string).
  • 201 response (application/json): id (number), brandId (number, required), saleChannelName (string, required), status (string, required), connectionDate (string, required), connectionError (string), oauthUrl (string), sellerFulfillmentSetup (object).

Request​